import * as core from "@terrascript/core";

export interface DsLogGroupsArgs {
  logGroupNamePrefix?: string | core.StringOut;
}

export class DsLogGroups extends core.Data<DsLogGroupsArgs> {
  @core.attr(String, { computed: true, kind: "array" })
  public arns!: core.Array<string> | core.ArrayOut<core.StringOut>;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public logGroupNamePrefix?: string | core.StringOut;

  @core.attr(String, { computed: true, kind: "array" })
  public logGroupNames!: core.Array<string> | core.ArrayOut<core.StringOut>;

  constructor(name: string, args?: DsLogGroupsArgs) {
    super(name, "aws_cloudwatch_log_groups", args);
  }

  public override getNamespace(): string {
    return "aws_cloudwatch";
  }
}
